Skip to main content
PATCH
Update a submerchant

Headers

ApiKey
string
required

Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.

MerchantId
string
required

Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.

Environment
enum<string>
required

Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.

Available options:
live,
sandbox

Path Parameters

submerchantId
string
required

Body

application/json
name
string

Name of the submerchant

Example:

"Updated Submerchant Name"

description
string

Description of the submerchant

Example:

"Updated submerchant description"

address
string

Address of the submerchant

Example:

"456 Updated St"

zipcode
string

Zipcode of the submerchant

Example:

"54321"

city
string

City of the submerchant

Example:

"London"

phoneNumber
string

Phone number of the submerchant

Example:

"+9876543210"

Legal info of the submerchant. Merged into the stored one, incoming winning per sub-field: a sub-field left out or set to null keeps its stored value.

Response

Submerchant updated successfully

id
string
required

Identifier of the submerchant

Example:

"mch_1a2b3c"

name
string
required

Name of the submerchant

Example:

"Submerchant Name"

status
enum<string>
required

Status of the submerchant

Available options:
closed,
live,
sandbox,
suspended,
testing,
initialized
isActive
boolean
required

Whether the submerchant is active

isAggregator
boolean
required

Whether the submerchant is an aggregator

defaultCurrency
string
required

Default currency of the submerchant, ISO 4217

Example:

"XOF"

createdAt
string
required

Creation date of the submerchant, ISO 8601

Example:

"2026-08-13T09:00:00.000Z"

description
string

Description of the submerchant

country
string

Country of the submerchant, ISO 3166-1 alpha-2

Example:

"CI"

address
string

Address of the submerchant

zipcode
string

Zipcode of the submerchant

city
string

City of the submerchant

phoneNumber
string

Phone number of the submerchant

Legal info of the submerchant, as the group owner supplied it